
-------------------------------------------------------------------------------
-- SVCHWL tables
--
-- This is the database setup script for the SVCHWL schema.
-------------------------------------------------------------------------------

------ Change Log -------------------------------------------------------------
--  Flag  Track   Staff            Date        Description
-- ------ -----  -------------  ----------  -----------------------------------
--  none         Todd Schlomer  2005/04/01   Initial Creation
--  none  23341  Todd Schlomer  2006/07/17   Added site location support
-------------------------------------------------------------------------------

CREATE SCHEMA SVCHWL;

DROP TABLE SVCHWL.LSSERVERLOCATIONMAPPING;
CREATE TABLE SVCHWL.LSSERVERLOCATIONMAPPING
  (SERVERLOCATION VARCHAR(250) NOT NULL,
   USERNAME VARCHAR(250),
   PASSWORD VARCHAR(250),
   UNIQUENAME VARCHAR(250),
   NOTIFICATIONPORT INTEGER,
   SITELOCATIONID SMALLINT NOT NULL DEFAULT 0);

ALTER TABLE SVCHWL.LSSERVERLOCATIONMAPPING
  ADD CONSTRAINT PK_LSSERVERLOCATI1 PRIMARY KEY (SERVERLOCATION);

DROP TABLE SVCHWL.CLUSTERSERVERMAPPING;
CREATE TABLE SVCHWL.CLUSTERSERVERMAPPING
  (CLUSTERNAME VARCHAR(250) NOT NULL,
   SERVERLOCATION VARCHAR(250) NOT NULL);

ALTER TABLE SVCHWL.CLUSTERSERVERMAPPING
  ADD CONSTRAINT PK_CLUSTERSERVERM2 PRIMARY KEY (CLUSTERNAME, SERVERLOCATION);